Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.transport.xmpp
Enum XmppMessageType

    java.lang.Object
      java.lang.Enum<XmppMessageType>
          org.mule.transport.xmpp.XmppMessageType

All Implemented Interfaces:
  Serializable, Comparable<XmppMessageType>

    public enum XmppMessageType

extends Enum<XmppMessageType>

This enum represents the XMPP message types that can be used in Mule.

Enum Constant Summary
`CHAT`
`GROUPCHAT`
`MESSAGE`

Method Summary
`static XmppMessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XmppMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MESSAGE

    public static final XmppMessageType MESSAGE

### CHAT

    public static final XmppMessageType CHAT

### GROUPCHAT

    public static final XmppMessageType GROUPCHAT

Method Detail

### values

    public static XmppMessageType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XmppMessageType c : XmppMessageType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XmppMessageType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.